# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`sympa`](#sympa): 
* [`sympa::config`](#sympaconfig): 
* [`sympa::install`](#sympainstall): 
* [`sympa::params`](#sympaparams): 

## Classes

### sympa

The sympa class.

#### Parameters

The following parameters are available in the `sympa` class.

##### `listmaster`

Data type: `Array[String]`



##### `soap_enabled`

Data type: `Boolean`



Default value: `false`

##### `mail_name`

Data type: `Stdlib::Fqdn`



Default value: $facts['fqdn']

##### `http_name`

Data type: `Stdlib::Fqdn`



Default value: $facts['fqdn']

##### `package_name`

Data type: `Variant[String, Array[String]]`



Default value: $sympa::params::package_name

##### `service_name`

Data type: `String`



Default value: 'sympa'

##### `wwservice_name`

Data type: `String`



Default value: 'wwsympa'

##### `tls_certificate_path`

Data type: `String`



Default value: $sympa::params::tls_certificate_path

##### `tls_privatekey_path`

Data type: `String`



Default value: $sympa::params::tls_privatekey_path

##### `config_file`

Data type: `String`



Default value: '/etc/sympa/sympa.conf'

##### `language`

Data type: `String`



Default value: 'en'

##### `supported_lang`

Data type: `Array[String]`



Default value: []

##### `service_title`

Data type: `String`



Default value: 'Mailing lists service'

##### `gecos`

Data type: `String`



Default value: 'SYMPA'

##### `legacy_character_support_feature`

Data type: `Boolean`



Default value: `false`

##### `manage_db`

Data type: `Boolean`



Default value: `true`

##### `db_type`

Data type: `Enum['mysql', 'postgresql', 'oracle', 'sybase', 'sqlite']`



Default value: 'mysql'

##### `db_host`

Data type: `String`



Default value: 'localhost'

##### `db_port`

Data type: `Integer[1,65535]`



Default value: 3306

##### `db_name`

Data type: `String`



Default value: 'sympa'

##### `db_user`

Data type: `String`



Default value: 'sympa'

##### `db_passwd`

Data type: `String`



Default value: extlib::cache_data($mail_name, 'sympa_db_passwd', extlib::random_password(16))

##### `db_env`

Data type: `Optional[String]`



Default value: `undef`

##### `db_additional_subscriber_fields`

Data type: `Optional[String]`



Default value: `undef`

##### `db_additional_user_fields`

Data type: `Optional[String]`



Default value: `undef`

##### `syslog`

Data type: `String`



Default value: 'mail'

##### `log_socket_type`

Data type: `String`



Default value: 'unix'

##### `log_level`

Data type: `Integer[0,3]`



Default value: 0

##### `default_max_list_members`

Data type: `Integer`



Default value: 0

##### `max_size`

Data type: `Integer`



Default value: 5242880

##### `reject_mail_from_automates_feature`

Data type: `Boolean`



Default value: `true`

##### `sympa_priority`

Data type: `Integer`



Default value: 1

##### `request_priority`

Data type: `Integer`



Default value: 0

##### `owner_priority`

Data type: `Integer`



Default value: 9

##### `default_list_priority`

Data type: `Integer`



Default value: 5

##### `remove_headers`

Data type: `Array[String]`



Default value: ['X-Sympa-To','X-Family-To','Return-Receipt-To','Precedence','X-Sequence','Disposition-Notification-To','Sender']

##### `rfc2369_header_fields`

Data type: `Array[String]`



Default value: ['help','subscribe','unsubscribe','post','owner','archive']

##### `sympa_packet_priority`

Data type: `Integer`



Default value: 5

##### `bulk_fork_threshold`

Data type: `Integer`



Default value: 1

##### `bulk_max_count`

Data type: `Integer`



Default value: 3

##### `bulk_lazytime`

Data type: `Integer`



Default value: 600

##### `bulk_sleep`

Data type: `Integer`



Default value: 1

##### `bulk_wait_to_fork`

Data type: `Integer`



Default value: 10

##### `sendmail`

Data type: `String`



Default value: '/usr/sbin/sendmail'

##### `log_smtp`

Data type: `Boolean`



Default value: `false`

##### `maxsmtp`

Data type: `Integer`



Default value: 40

##### `nrcpt`

Data type: `Integer`



Default value: 25

##### `avg`

Data type: `Integer`



Default value: 10

##### `create_list`

Data type: `String`



Default value: 'public_listmaster'

##### `use_blacklist`

Data type: `Array[String]`



Default value: ['send','create_list']

##### `owner_domain`

Data type: `Array[String]`



Default value: []

##### `owner_domain_min`

Data type: `Integer`



Default value: 0

##### `process_archive`

Data type: `Boolean`



Default value: `false`

##### `custom_archiver`

Data type: `Optional[String]`



Default value: `undef`

##### `mhonarc`

Data type: `String`



Default value: '/usr/bin/mhonarc'

##### `bounce_warn_rate`

Data type: `Integer`



Default value: 30

##### `bounce_halt_rate`

Data type: `Integer`



Default value: 50

##### `welcome_return_path`

Data type: `Enum['unique', 'owner']`



Default value: 'owner'

##### `remind_return_path`

Data type: `Enum['unique', 'owner']`



Default value: 'owner'

##### `expire_bounce_task`

Data type: `String`



Default value: 'daily'

##### `automatic_list_families`

Data type: `Optional[String]`



Default value: `undef`

##### `parsed_family_files`

Data type: `Array[String]`



Default value: ['message.footer','message.header','message.footer.mime','message.header.mime','info']

##### `antispam_tag_header_name`

Data type: `String`



Default value: 'X-Spam-Status'

##### `antispam_tag_header_spam_regexp`

Data type: `String`



Default value: '^\s*Yes'

##### `antispam_tag_header_ham_regexp`

Data type: `String`



Default value: '^\s*No'

##### `spam_status`

Data type: `String`



Default value: 'x-spam-status'

##### `var_dir`

Data type: `String`



Default value: '/var/lib/sympa'

##### `home`

Data type: `String`



Default value: "${var_dir}/list_data"

##### `etc`

Data type: `String`



Default value: '/etc/sympa'

##### `spool`

Data type: `String`



Default value: '/var/spool/sympa'

##### `queue`

Data type: `String`



Default value: "${spool}/msg"

##### `queuemod`

Data type: `String`



Default value: "${spool}/moderation"

##### `queuedigest`

Data type: `String`



Default value: "${spool}/digest"

##### `queueauth`

Data type: `String`



Default value: "${spool}/auth"

##### `queueoutgoing`

Data type: `String`



Default value: "${spool}/outgoing"

##### `queuesubscribe`

Data type: `String`



Default value: "${spool}/subscribe"

##### `queuetopic`

Data type: `String`



Default value: "${spool}/topic"

##### `queuebounce`

Data type: `String`



Default value: "${spool}/bounce"

##### `queuetask`

Data type: `String`



Default value: "${spool}/task"

##### `queueautomatic`

Data type: `String`



Default value: "${spool}/automatic"

##### `queuebulk`

Data type: `String`



Default value: "${spool}/bulk"

##### `viewmail_dir`

Data type: `String`



Default value: "${spool}/viewmail"

##### `bounce_path`

Data type: `String`



Default value: "${var_dir}/bounce"

##### `arc_path`

Data type: `String`



Default value: "${var_dir}/arc"

##### `email`

Data type: `String`



Default value: 'sympa'

##### `custom_robot_parameter`

Data type: `Optional[String]`



Default value: `undef`

##### `cache_list_config`

Data type: `String`



Default value: 'none'

##### `logs_expiration_period`

Data type: `Integer`



Default value: 3

##### `umask`

Data type: `Pattern[/^[0-7]{3}$/]`



Default value: '027'

##### `cookie`

Data type: `String`



Default value: extlib::cache_data($mail_name, 'sympa_cookie', extlib::random_password(16))

##### `wwsympa_url`

Data type: `String`



Default value: '/sympa'

##### `http_host`

Data type: `Optional[String]`



Default value: `undef`

##### `static_content_url`

Data type: `String`



Default value: '/static-sympa'

##### `static_content_path`

Data type: `String`



Default value: '/usr/share/sympa/static_content'

##### `css_path`

Data type: `String`



Default value: '/var/lib/sympa/css'

##### `pictures_path`

Data type: `String`



Default value: '/var/lib/sympa/pictures'

##### `log_facility`

Data type: `String`



Default value: $syslog

##### `default_home`

Data type: `String`



Default value: 'home'

##### `archive_default_index`

Data type: `Enum['thrd', 'mail']`



Default value: 'thrd'

##### `review_page_size`

Data type: `Integer`



Default value: 25

##### `viewlogs_page_size`

Data type: `Integer`



Default value: 25

##### `cookie_domain`

Data type: `String`



Default value: 'localhost'

##### `cookie_expire`

Data type: `Integer`



Default value: 0

##### `cookie_refresh`

Data type: `Integer`



Default value: 0

##### `default_shared_quota`

Data type: `Optional[Integer]`



Default value: `undef`

##### `use_html_editor`

Data type: `Boolean`



Default value: `false`

##### `html_editor_url`

Data type: `Optional[String]`



Default value: `undef`

##### `html_editor_init`

Data type: `Optional[String]`



Default value: `undef`

##### `htmlarea_url`

Data type: `Optional[String]`



Default value: `undef`

##### `max_wrong_password`

Data type: `Integer`



Default value: 19

##### `password_case`

Data type: `Enum['sensitive', 'insensitive']`



Default value: 'sensitive'

##### `reporting_spam_script_path`

Data type: `Optional[String]`



Default value: `undef`

##### `cafile`

Data type: `Optional[String]`



Default value: $sympa::params::cafile

##### `capath`

Data type: `Optional[String]`



Default value: `undef`

##### `key_passwd`

Data type: `Optional[String]`



Default value: extlib::cache_data($mail_name, 'sympa_key_passwd', extlib::random_password(16))

##### `ssl_cert_dir`

Data type: `Optional[String]`



Default value: "${var_dir}/list_data/X509-user-certs"

##### `default_sql_fetch_timeout`

Data type: `Integer`



Default value: 300

##### `dkim_feature`

Data type: `Boolean`



Default value: `false`

##### `dkim_add_signature_to`

Data type: `Array[String]`



Default value: ['robot','list']

##### `dkim_private_key_path`

Data type: `Optional[String]`



Default value: $sympa::params::dkim_private_key_path

##### `dkim_signature_apply_on`

Data type: `Array[String]`



Default value: ['md5_authenticated_messages','smime_authenticated_messages','dkim_authenticated_messages','editor_validated_messages']

##### `dkim_signer_domain`

Data type: `Optional[String]`



Default value: `undef`

##### `dkim_signer_identity`

Data type: `Optional[String]`



Default value: `undef`

##### `dkim_selector`

Data type: `Optional[String]`



Default value: `undef`

##### `antivirus_path`

Data type: `Optional[String]`



Default value: `undef`

##### `antivirus_args`

Data type: `Optional[String]`



Default value: `undef`

##### `password_validation`

Data type: `Optional[String]`



Default value: `undef`

##### `ldap_force_canonical_email`

Data type: `Boolean`



Default value: `true`

##### `aliases_program`

Data type: `String`



Default value: 'postalias'

##### `topics`

Data type: `Hash[String, Hash[String, String]]`



Default value: {}

### sympa::config

The sympa::config class.

### sympa::install

The sympa::install class.

### sympa::params

The sympa::params class.

